<app-buscador-carrito></app-buscador-carrito>
<div class="miscompras">

  <p-dataView #dv [value]="productos" *ngIf="productos.length > 0 else mensaje" [layout]="layout" [paginator]="true"
    [rows]="6" [sortField]="ordenarPor" [sortOrder]="ordenar">
    <ng-template pTemplate="header">
      <div class="flex justify-content-between">
        <div class="flex flex-column md:flex-row md:justify-content-between">
          <p-dropdown [options]="opcionesFiltro" placeholder="Ordenar por estado" class="inpt_secon w-pdd" [(ngModel)]="filtroSeleccionado"
            [showClear]="true" (onChange)="cambioOrden($event)"></p-dropdown>
        </div>

        <div class="flex justify-content-end">
          <p-dataViewLayoutOptions></p-dataViewLayoutOptions>
        </div>
      </div>
    </ng-template>

    <ng-template let-productos pTemplate="listItem">
      <div class="col-12" *ngFor="let producto of productos">
        <div class="flex flex-column xl:flex-row xl:align-items-start p-4 gap-4">
          <figure class="w-9 h-11rem rem sm:w-16rem xl:w-10rem shadow-2 block xl:block mx-auto border-round">
            <p-image [src]="producto.ImgUrl" [alt]="producto.Nombre"></p-image>
          </figure>
          <div
            class="flex flex-column sm:flex-row justify-content-between align-items-center xl:align-items-start flex-1 gap-4">
            <div class="flex flex-column align-items-center sm:align-items-start gap-3 w-full">
              <div class="flex flex-column">
                <div class="text-2xl font-bold text-900">{{ producto.Nombre }}</div>
                <span class="text-lg font-medium w-auto">
                  <a class="link_style block" (click)="verEmprendimiento(producto.idEmpresa)">{{ producto.Empresa }}</a>
                </span>
              </div>
              <div class="flex align-items-center gap-3">
                <span class="flex align-items-center gap-2">
                  <i class="pi pi-tag"></i>
                  <span class="font-semibold">{{ producto.Categoria }}</span>
                </span>

                <p-divider layout="vertical" [style]="{height: '10px'}"></p-divider>

                <span class="flex align-items-center gap-2">
                  <i class="pi pi-money-bill"></i>
                  <span class="font-semibold">Precio (Bs): {{ producto.PrecioVenta }}</span>
                  <p-tag>Cantidad: {{ producto.Cantidad }} </p-tag>
                </span>

                <p-divider layout="vertical" [style]="{height: '10px'}"></p-divider>

                <span class="flex align-items-center gap-2">
                  <span class="font-semibold">Total (Bs): <p-tag>{{ producto.PrecioVenta * producto.Cantidad }}
                    </p-tag></span>
                </span>

                <p-divider layout="vertical" [style]="{height: '10px'}"></p-divider>

                <span class="flex align-items-center gap-2">
                  <i class="pi pi-calendar"></i>
                  <span class="font-semibold">Fecha de compra: <p-tag> {{ producto.FechaCompra }} </p-tag></span>
                </span>

              </div>

              <div class="w-full">
                <p-steps [model]="estadoCompra" [readonly]="true" [activeIndex]="producto.EstadoActivo"></p-steps>
              </div>
            </div>
          </div>
        </div>
      </div>
    </ng-template>

    <ng-template pTemplate="gridItem" let-productos>
      <div class="grid grid-nogutter">
        <div class="col-12 sm:col-6 lg:col-12 xl:col-4 p-2 flex justify-content-center"  *ngFor="let producto of productos">
          <div class="p-4 border-1 surface-border surface-card border-round w-20rem">
            <div class="flex flex-wrap align-items-center justify-content-between gap-2">
              <span class="flex align-items-center gap-2">
                <i class="pi pi-tag"></i>
                <span class="font-semibold">{{ producto.Categoria }}</span>
              </span>
              <p-tag>Cantidad: {{ producto.Cantidad }}</p-tag>
            </div>
            <div class="flex flex-column align-items-center gap-3 py-5">
              <figure class="w-9 h-9rem shadow-2 border-round img-productoGrid">
                <p-image [src]="producto.ImgUrl" [alt]="producto.Nombre" [preview]="true"></p-image>
              </figure>
              <div class="flex flex-column gap-1 align-items-center">
                <div class="text-2xl font-bold">{{ producto.Nombre }}</div>
                <span class="text-lg font-medium">
                  <a class="link_style" (click)="verEmprendimiento(producto.idEmpresa)">{{ producto.Empresa }}</a>
                </span>
              </div>
              <p-tag>{{ obtenerEstado(producto.EstadoActivo) }}</p-tag>
            </div>
            <div class="flex align-items-center justify-content-between">
              <span class="text-lg font-semibold">Precio: {{ 'Bs ' + producto.PrecioVenta }}</span>
              <span class="text-lg font-semibold">Total: {{ producto.PrecioVenta * producto.Cantidad }} </span>
            </div>
          </div>
        </div>
      </div>
    </ng-template>
  </p-dataView>

  <ng-template #mensaje>
    <div class="flex flex-column align-items-center justify-content-center gap-4">
      <div class="text-2xl font-semibold uppercase">No tienes productos comprados</div>
      <button pButton type="button" label="Ir a comprar" routerLink="../listaproductos" class="btn"></button>
    </div>
  </ng-template>
</div>
<app-loading-overlay *ngIf="mostrarSpinner" [mensaje]="'Buscando productos comprados'" ></app-loading-overlay>
